Skip to main content
POST
/
api
/
organizations
/
{organizationId}
/
custom-block
/
finalize
Finalize custom block upload
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/custom-block/finalize \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "uploadKey": "<string>",
  "fileName": "<string>",
  "fileSize": 123,
  "fileHash": "<string>",
  "blockId": 123
}
'
{
  "success": true,
  "id": 12873488112,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

Body

application/json
uploadKey
string
required

S3 object key for the staged upload

fileName
string
required

file name

fileSize
integer
required

file size in bytes

fileHash
string
required

hash to identify file changes

type
enum<string>
required
Available options:
transform,
deploy,
dsp,
transferLearning
blockId
integer
required

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

Job identifier. Status updates will include this identifier.

Example:

12873488112

error
string

Optional error description (set if 'success' was false)